1. Payers
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Funding
      • Get deposit instruments
    • Payers
      • Create original payer
        POST
    • Beneficiaries
      • Create beneficiary
    • Quotes
      • Get FX quotation
    • Payments
      • Confirm quote and create payment
      • Payment result inquiry
    • Files
      • Create file upload session
      • Get file processing status
      • Upload file binary to pre-signed URL
  • Payment Status Webhook
  • About Us
  • Schemas
    • ErrorResponse
    • DepositInstrumentsResponse
    • DepositInstruction
    • FiatBankAccount
    • CreatePayerRequest
    • PayerInfo
    • IdentityInfo
    • Address
    • CompanyInfo
    • Director
    • UBO
    • DocumentReference
    • CreatePayerResponse
    • CreateBeneficiaryRequest
    • BeneficiaryInfo
    • BeneficiaryBankAccount
    • IntermediaryBank
    • OriginatorInfo
    • LocalClearing
    • CreateBeneficiaryResponse
    • QuoteRequest
    • QuoteResponse
    • PaymentRequest
    • PaymentInstruction
    • Amount
    • Compliance
    • Metadata
    • PaymentResponse
    • FileUploadSessionRequest
    • FileUploadSessionResponse
    • FileStatusResponse
  1. Payers

Create original payer

POST
/api/v1/payers

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "requestId": "REQ202604280001",
    "merchantId": 10001,
    "payerType": "PRIVATE_COMPANY",
    "payer": {
        "name": "环球xxx公司",
        "enName": "Global xx Co., Ltd.",
        "phone": "+86-13800138000"
    },
    "identity": {
        "type": "BUSINESS_REG",
        "number": "91440300MA5FXXXXXX",
        "issuedDate": "2020-01-01",
        "expirationDate": "2030-01-01"
    },
    "address": {
        "line1": "Nanshan District, Shenzhen",
        "city": "Shenzhen",
        "state": "Guangdong",
        "country": "CN"
    },
    "company": {
        "brNumber": "BR12345678",
        "registrationDate": "2020-01-01",
        "expiryDate": "2030-01-01",
        "registrationAddress": {
            "line1": "Central, Hong Kong",
            "city": "Hong Kong",
            "state": "HK",
            "country": "HK"
        }
    },
    "directors": [
        {
            "name": "Li Lei",
            "idNo": "P12345678",
            "idExpiration": "2030-01-01"
        }
    ],
    "ubos": [
        {
            "name": "Han Meimei",
            "idType": "PASSPORT",
            "idNo": "E98765432"
        }
    ],
    "documents": [
        {
            "fileId": 1001,
            "type": "BR_CERT"
        },
        {
            "fileId": 1002,
            "type": "CR_CERT"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://prod-cn.your-api-server.com/api/v1/payers' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "requestId": "REQ202604280001",
    "merchantId": 10001,
    "payerType": "PRIVATE_COMPANY",
    "payer": {
        "name": "环球xxx公司",
        "enName": "Global xx Co., Ltd.",
        "phone": "+86-13800138000"
    },
    "identity": {
        "type": "BUSINESS_REG",
        "number": "91440300MA5FXXXXXX",
        "issuedDate": "2020-01-01",
        "expirationDate": "2030-01-01"
    },
    "address": {
        "line1": "Nanshan District, Shenzhen",
        "city": "Shenzhen",
        "state": "Guangdong",
        "country": "CN"
    },
    "company": {
        "brNumber": "BR12345678",
        "registrationDate": "2020-01-01",
        "expiryDate": "2030-01-01",
        "registrationAddress": {
            "line1": "Central, Hong Kong",
            "city": "Hong Kong",
            "state": "HK",
            "country": "HK"
        }
    },
    "directors": [
        {
            "name": "Li Lei",
            "idNo": "P12345678",
            "idExpiration": "2030-01-01"
        }
    ],
    "ubos": [
        {
            "name": "Han Meimei",
            "idType": "PASSPORT",
            "idNo": "E98765432"
        }
    ],
    "documents": [
        {
            "fileId": 1001,
            "type": "BR_CERT"
        },
        {
            "fileId": 1002,
            "type": "CR_CERT"
        }
    ]
}'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "payerId": "string",
    "status": "DRAFT",
    "reviewLevel": "L1",
    "rejectReason": "string"
}
Modified at 2026-06-05 07:31:32
Previous
Get deposit instruments
Next
Create beneficiary
Built with